SosemanukPolicy Class Reference

_ More...

`#include <sosemanuk.h>`

Inheritance diagram for SosemanukPolicy:

## Public Types

typedef word32 | WordType

## Public Member Functions

unsigned int | GetAlignment () const
unsigned int | GetBytesPerIteration () const
unsigned int | GetIterationsToBuffer () const
bool | CanOperateKeystream () const
virtual unsigned int | GetOptimalBlockSize () const
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
virtual void | SeekToIteration (lword iterationCount)

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t n)

## Static Public Attributes

static const int | BYTES_PER_ITERATION
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | KEYLENGTH_MULTIPLE
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Protected Member Functions

void | CipherSetKey (const NameValuePairs &params, const byte *key, size_t length)
void | OperateKeystream (KeystreamOperation operation, byte *output, const byte *input, size_t iterationCount)
void | CipherResynchronize (byte *keystreamBuffer, const byte *iv, size_t length)
bool | CipherIsRandomAccess () const

## Protected Attributes

FixedSizeSecBlock< word32, 25 *4 > | m_key
FixedSizeAlignedSecBlock< word32, 12 > | m_state

## Detailed Description

_

Definition at line 15 of file sosemanuk.h.

The documentation for this class was generated from the following file:

- sosemanuk.h